/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/

/* Application specific user parameters used in user.c may go here */

#define const_timer0  6 // timer0: 256-250=6 ((1MHz : 64 ): 250 = 62,5 Hz)
#define const_timer2  15    // ((1MHz : 64 ): 250 = 62,5Hz : 15 = 4,1667Hz)
// 1Mhz : 128 : 156 = 50 Hz

#define const_sleepCounter  146   // 1 : 4,1667Hz = 0,24s * 146 = 35 sec.
#define const_learnButton_timer2  26    // 1 : 4,1667Hz = 0,24s * 26 = 6,2 sec.

#define decreasing 0
#define increasing 1

/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/

/* User level functions prototypes (i.e. InitApp) go here */

void InitApp(void);         /* I/O and Peripheral Initialization */
void adc_read(void);    // run ADC and wait for completion
void activate_ac_zero_interrupt(void);
